Description

Here is a patch which solves problems form when you try to create layer from a custom SQL.

In Postgis, custom SQL must return a column as geometry, but, as Postgis-Dal provider use WKB to read it, the final sql must use 
asBinary function to get geometry data. Now, DAL uses the specified SQL directly (without convert geometry).

The patch changes this behaviour creating the select-SQL as a standard source but using the required query as subquery (on FROM
clause).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2091: JDBCStoreProvider ... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2089: Erroneous conditio... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2090: No default geometr... Closed

History
#1 - 11/28/2013 04:42 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 11/28/2013 04:56 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

Fixed SQL composition for custom SQL. Patch provided by jmvivo.

gvsig-desktop:r40948

#3 - 01/13/2014 09:39 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/28/2014 09:27 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
fixes_sql_creation_of_sql_direct.patch 1.74 KB 11/07/2013 Jose Manuel Vivó Arnal
